Supported combinations of clients, drivers and server levels

Various versions of a client or driver can connect to different versions of a server. This includes support for earlier versions and support for accessing Db2® databases on midrange and mainframe servers.

Db2 client levels required for IBM Db2 pureScale Feature

For your application to make full use of Db2 pureScale® features, your Db2 client must be at certain release levels:
Server version Client version Features available
Version 10.5 or later

Version 11.1, Version 10.5, Version 10.1, or 9.7 (Fix Pack 1 or later)

Transaction-level and connection-level workload balancing

Automatic client reroute based on workload

Client affinities

Version 10.5 or later Version 9.7 (before Fix Pack 1) Connection-level workload balancing (transaction-level workload balancing is not available)

Automatic client reroute based on workload

Combinations of Db2 Version 9.7, Db2 Version 10.1 and Db2 Version 10.5

Generally, Db2 Version 9.7, Db2 Version 10.1, Db2 Version 10.5, Db2 Version 11.1 clients can access a remote Db2 11.1 server. However, if different versions of a client and a Db2 server are located on the same system, local client-to-server connections using Interprocess Communication (IPC) are not supported. Instead, you can establish a connection as a remote connection (called a loopback connection) by using TCP/IP.

The following clients and drivers can access a Db2 Version 10.5, Version 10.1, Version 9.7 server:

  • IBM® Data Server Client Version 11.1
  • IBM Data Server Runtime Client Version 11.1
  • IBM Data Server Driver Package Version 11.1
  • IBM Data Server Driver for ODBC and CLI Version 11.1

However, when a later-level client accesses an earlier-level server, the functionality of the later level of the client is not available to the server. For example, IBM Data Server Driver Package Version 11.1 can access a Db2 Version 9.7 server. However, Db2Version 11.1 functionality is not available to the server.

Combinations of Db2 Version 11.1 and Db2 products on midrange and mainframe platforms

Db2 Version 11.1 clients can connect to the following midrange and mainframe platforms:

  • Db2 for z/OS® and OS/390® Version 10 or later
  • Db2 for IBM i Version V6R1 or later
  • Db2 for VM and VSE Version 7